Bug 430 - org.globus.io.gass.server.RemoteGassServer doesn't work with 2.x installs
: org.globus.io.gass.server.RemoteGassServer doesn't work with 2.x installs
Status: RESOLVED FIXED
: CoG jglobus
io
: 1.0a
: PC Linux
: P2 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2002-10-24 12:23 by
Modified: 2005-12-05 17:42 (History)


Attachments
Java source code for the GassTest (3.11 KB, text/plain)
2002-10-24 14:05, Mike Dvorak
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-10-24 12:23:44
I have written a small test piece of code that test the RemoteGassServer on the
MCS DataGrid (and at a U Chicago cluster as well).  I am getting the message in
the GlobusGassException: "The provided RSL string includes variables that could
not be identified"

I thought that the problem was the "GLOBUS_TOOLS_PREFIX" being set (from the 1.x
Globus package) instead of the "GLOBUS_TOOLS_LOCATION" from the 2.x version.  I
made the following code change without success (same error):

Index: RemoteGassServer.java
===================================================================
RCS file:
/home/dsl/cog/CVS/jglobus/src/org/globus/io/gass/server/RemoteGassServer.java,v
retrieving revision 1.6
diff -r1.6 RemoteGassServer.java
263c263
<     buf.append("&(executable=$(GLOBUS_TOOLS_PREFIX)/bin/globus-gass-server)");
---
>     buf.append("&(executable=$(GLOBUS_TOOLS_LOCATION)/bin/globus-gass-server)");

Here is my verbose output from with the org.globus.debug.level=5 below.  I would
like to be able to use GASS instead of GridFTP to copy several small text files
instead of GridFTP for my SC2002 demo.  Thanks.

/usr/java/j2sdk1.4.0/jre/bin/java -classpath
"/home/dvorak/develop/espresso/sourceforge/classes:/home/dvorak/develop/espresso/sourceforge/lib/jakarta-regexp-1.2.jar:/home/dvorak/develop/espresso/sourceforge/lib/jdom.jar:/home/dvorak/develop/espresso/sourceforge/lib/z_xerces.jar:/home/dvorak/develop/espresso/sourceforge/lib/log4j-core.jar:/home/dvorak/develop/jglobus/build/cog-1.0a/lib/cog-jglobus.jar:/home/dvorak/develop/jglobus/build/cog-1.0a/lib/cryptix.jar:/home/dvorak/develop/jglobus/build/cog-1.0a/lib/cryptix32.jar:/home/dvorak/develop/jglobus/build/cog-1.0a/lib/cryptix-asn1.jar:/home/dvorak/develop/jglobus/build/cog-1.0a/lib/iaik_javax_crypto.jar:/home/dvorak/develop/jglobus/build/cog-1.0a/lib/iaik_jce_full.jar:/home/dvorak/develop/jglobus/build/cog-1.0a/lib/iaik_ssl.jar:/home/dvorak/develop/jglobus/build/cog-1.0a/lib/jaas.jar:/home/dvorak/develop/jglobus/build/cog-1.0a/lib/jce-jdk13-115.jar:/home/dvorak/develop/jglobus/build/cog-1.0a/lib/jgss.jar:/home/dvorak/develop/jglobus/build/cog-1.0a/lib/jndi.jar:/home/dvorak/develop/jglobus/build/cog-1.0a/lib/ldap.jar:/home/dvorak/develop/jglobus/build/cog-1.0a/lib/ldapbp.jar:/home/dvorak/develop/jglobus/build/cog-1.0a/lib/log4j-1.2.7.jar:/home/dvorak/develop/jglobus/build/cog-1.0a/lib/puretls.jar:/home/dvorak/develop/espresso/sourceforge/build/lib/config.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/localedata.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/dnsns.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/ldapsec.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/xercesImpl.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/sunjce_provider.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/xalan.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/z_xerces.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/jakarta-regexp-1.2.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/cog.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/cryptix.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/iaik_jce_full.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/iaik_ssl.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/jdom.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/jndi.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/ldapbp.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/ldap.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/providerutil.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/tools.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/log4j-core.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/iaik_javax_crypto.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/jaas.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/xerces.jar:/usr/java/j2sdk1.4.0/jre/lib/ext/xml4j.jar:/usr/java/j2sdk1.4.0/jre/lib/charsets.jar:/usr/java/j2sdk1.4.0/jre/lib/rt.jar:/usr/java/j2sdk1.4.0/jre/lib/javaplugin.jar:/usr/java/j2sdk1.4.0/jre/lib/jce.jar:/usr/java/j2sdk1.4.0/jre/lib/jsse.jar:/usr/java/j2sdk1.4.0/jre/lib/sunrsasign.jar:/usr/java/j2sdk1.4.0/jre/lib/i18n.jar"
 -Dorg.globus.debug.level=5 gov.anl.mcs.climate.espresso.GassTest dg0cm.mcs.anl.gov
Trying to copy the /etc/fstab file to:dg0cm.mcs.anl.gov
Loading proxy file: /tmp/x509up_u500
Loading /home/dvorak/.globus/org-globus-CA-cert.txt certificate.
***                                                                       ***
***                    Welcome to the IAIK JCE Library                    ***
***                                                                       ***
*** This version of IAIK JCE is licensed for educational and research use ***
*** and evaluation only. Commercial use of this software is prohibited.   ***
*** For details please see http://jcewww.iaik.at/sales/licences/.        ***
*** This message does not appear in the registered commercial version.    ***
***                                                                       ***

The certificate is valid: CN=proxy,CN=Michael Dvorak,OU=mcs.anl.gov,O=Globus,O=Grid
The certificate is valid: CN=Michael Dvorak,OU=mcs.anl.gov,O=Globus,O=Grid
The certificate is valid: CN=Globus Certification Authority,O=Globus,C=US
***                                                                      ***
***             Welcome to the IAIK SSL (iSaSiLk) Library                ***
***                                                                      ***
*** This version of iSaSiLk is licensed for educational and research use ***
*** and evaluation only. Commercial use of this software is prohibited.  ***
*** For details please see http://jcewww.iaik.at/legal/license.htm .     ***
*** This message does not appear in the registered commercial version.   ***
***                                                                      ***

Callback url: https://140.221.16.172:43936/1035479361042
Connecting...
Creating SSL context...
ssl_debug(1): Starting handshake (iSaSiLk 3.03 Evaluation Version)...
ssl_debug(1): Sending v3 client_hello message, requesting version 3.0...
ssl_debug(1): Received v3 server_hello handshake message.
ssl_debug(1): Server selected SSL version 3.0.
ssl_debug(1): Server created new session 5F:5A:26:5C:1F:FF:91:95...
ssl_debug(1): CipherSuite selected by server: SSL_RSA_WITH_NULL_MD5
ssl_debug(1): CompressionMethod selected by server: NULL
ssl_debug(1): Received certificate handshake message with server certificate.
ssl_debug(1): Server sent a 1024 bit RSA certificate, chain has 2 elements.
ssl_debug(1): ChainVerifier: Found a trusted certificate, returning true
ssl_debug(1): Received certificate_request handshake message.
ssl_debug(1): Accepted certificate types: RSA, DSA
ssl_debug(1): Accepted certificate authorities:
ssl_debug(1):   CN=Globus Certification Authority,O=Globus,C=US
ssl_debug(1): Received server_hello_done handshake message.
ssl_debug(1): Sending certificate handshake message with RSA client certificate...
ssl_debug(1): Sending client_key_exchange handshake message (1024 bit)...
ssl_debug(1): Sending certificate_verify handshake message...
ssl_debug(1): Sending change_cipher_spec message...
ssl_debug(1): Sending finished message...
ssl_debug(1): Received change_cipher_spec message.
ssl_debug(1): Received finished message.
ssl_debug(1): Handshake completed, statistics:
ssl_debug(1): Read 1351 bytes in 5 records, wrote 1929 bytes in 5 records.
Server certificates:
Version: 3
Serial number: 10580
Signature algorithm: md5WithRSAEncryption (1.2.840.113549.1.1.4) 
Issuer: CN=Globus Certification Authority,O=Globus,C=US
Valid not before: Mon Aug 26 09:56:50 CDT 2002
      not after: Tue Aug 26 09:56:50 CDT 2003
Subject: CN=host/joxaren.uchicago.edu,O=Globus,O=Grid
com.sun.net.ssl.internal.ssl.JSA_RSAPublicKey@3c468a
Extensions: 1
Certificate Fingerprint (MD5)  : 28:C4:5B:9F:2E:94:D9:F5:30:F4:04:88:53:4B:B9:AB
Certificate Fingerprint (SHA-1):
26:51:03:FF:FE:4B:EE:0E:C1:90:B9:51:38:61:6D:BB:36:E2:51:C4

Set of non-critical extensions:
2.16.840.1.113730.1.1
Version: 3
Serial number: 0
Signature algorithm: md5WithRSAEncryption (1.2.840.113549.1.1.4) 
Issuer: CN=Globus Certification Authority,O=Globus,C=US
Valid not before: Fri Jan 23 11:31:36 CST 1998
      not after: Thu Jan 23 11:31:36 CST 2003
Subject: CN=Globus Certification Authority,O=Globus,C=US
com.sun.net.ssl.internal.ssl.JSA_RSAPublicKey@3b1d04
Extensions: 2
Certificate Fingerprint (MD5)  : 72:83:55:B1:81:0F:6E:91:D2:06:21:9A:2D:02:3B:02
Certificate Fingerprint (SHA-1):
16:EC:DE:29:67:FF:EA:EC:39:DD:9C:A7:3D:A0:B5:ED:7E:80:9B:92

Set of non-critical extensions:
2.16.840.1.113730.1.1
2.5.29.19
Activating delegation [limited]
CERTREQ: Version: 0
Subject: CN=proxy,CN=proxy,CN=Michael Dvorak,OU=mcs.anl.gov,O=Globus,O=Grid
com.sun.net.ssl.internal.ssl.JSA_RSAPublicKey@ce2187Signature algorithm:
md5WithRSAEncryption (1.2.840.113549.1.1.4) 

Fingerprint (MD5)  : 7F:8B:A8:A1:B7:BB:F7:D2:61:6F:83:B3:1C:5D:AC:BA
Fingerprint (SHA-1): A8:91:79:4C:97:0F:A0:63:82:9C:61:E3:EB:07:49:95:0C:7F:29:60

END CERT REQ
The certificate is valid: CN=proxy,CN=Michael Dvorak,OU=mcs.anl.gov,O=Globus,O=Grid
Version: 1
Serial number: 876017
Signature algorithm: md5WithRSAEncryption (1.2.840.113549.1.1.4) 
Issuer: CN=proxy,CN=Michael Dvorak,OU=mcs.anl.gov,O=Globus,O=Grid
Valid not before: Wed Oct 23 14:55:09 CDT 2002
      not after: Thu Oct 24 15:00:09 CDT 2002
Subject: CN=limited proxy,CN=proxy,CN=Michael Dvorak,OU=mcs.anl.gov,O=Globus,O=Grid
com.sun.net.ssl.internal.ssl.JSA_RSAPublicKey@ce2187
Certificate Fingerprint (MD5)  : F1:A2:31:9D:54:73:C9:5C:C6:BF:65:27:80:1E:BF:90
Certificate Fingerprint (SHA-1):
40:4A:E5:67:25:2E:3E:82:AC:C6:05:E9:41:30:1B:8A:EA:0E:2F:7E

sent signed certificate
REQ SENT:
POST /jobmanager HTTP/1.1
Host: joxaren.uchicago.edu
Content-Type: application/x-globus-gram
Content-Length: 385

protocol-version: 2
job-state-mask: 65535
callback-url: https://140.221.16.172:43936/1035479361042
rsl:
"&(executable=$(GLOBUS_TOOLS_LOCATION)/bin/globus-gass-server)(rsl_substitution=(GLOBUSRUN_GASS_URL
https://140.221.16.172:43935))(stderr=$(GLOBUSRUN_GASS_URL)/dev/stderr-rgs)(stdout=$(GLOBUSRUN_GASS_URL)/dev/stdout-rgs)(arguments=\"-c\"
\"-l\" \"-t\" \"-u\" \"-r\" \"-w\")"


END
HEADER: HTTP/1.1 200 OK
HEADER: Content-Type: application/x-globus-gram
HEADER: Content-Length: 34
MSG: protocol-version: 2
MSG: status: 39
ssl_debug(1): Shutting down SSL layer...
ssl_debug(1): Sending alert: Alert Warning: close notify
ssl_debug(1): Read 457 bytes in 2 records, 415 bytes net, 207 average.
ssl_debug(1): Wrote 1022 bytes in 3 records, 959 bytes net, 319 average.
ssl_debug(1): Closing transport...
REQ RECEIVED:
Http    : HTTP/1.1
Message : OK
Code    : 200
Length  : 34
Chunked : false
Type    : application/x-globus-gram
Protocol-version : 2
Status           : 39
END
ERROR: Unable to start the GASS server: The provided RSL string includes
variables that could not be identified
org.globus.io.gass.client.GassException: The provided RSL string includes
variables that could not be identified
	at org.globus.io.gass.server.RemoteGassServer.start(RemoteGassServer.java:204)
	at gov.anl.mcs.climate.espresso.GassTest.<init>(GassTest.java:52)
	at gov.anl.mcs.climate.espresso.GassTest.<init>(GassTest.java:33)
	at gov.anl.mcs.climate.espresso.GassTest.main(GassTest.java:111)
------- Comment #1 From 2002-10-24 14:05:07 -------
Created an attachment (id=49) [details]
Java source code for the GassTest
------- Comment #2 From 2002-10-27 15:33:57 -------
The rsl was updated to work with older and newer Globus installations. The rsl 
constructed depends on the compatiblity mode set. By default Globus 2.x 
compatibile rsl is generated. Globus 1.1.x compatibile rsl can be generated by 
setting setCompatibilityMode(false);